Create structured sheet
POST/v1/structured-sheets
Start converting a spreadsheet workbook into structured data. This initiates an asynchronous conversion process. Poll the returned resource using the id to check completion status.
Create structured sheet
curl https://api.deeptable.com/v1/structured-sheets \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $DEEPTABLE_API_KEY" \
-d '{
"file_id": "file_01h45ytscbebyvny4gc8cr8ma2"
}'{
"id": "ss_01kfxgjd94fn9stqm42nejb627",
"created_at": "2024-01-15T10:30:00Z",
"file_id": "file_01kfxgjd94fn9stqm414vjb0s8",
"object": "structured_sheet",
"status": "completed",
"updated_at": "2024-01-15T10:35:00Z",
"last_error": {
"code": "invalid_file_format",
"message": "The uploaded file is not a valid Excel spreadsheet."
},
"sheet_names": [
"Sheet1",
"Financials"
],
"table_count": 6
}Returns Examples
{
"id": "ss_01kfxgjd94fn9stqm42nejb627",
"created_at": "2024-01-15T10:30:00Z",
"file_id": "file_01kfxgjd94fn9stqm414vjb0s8",
"object": "structured_sheet",
"status": "completed",
"updated_at": "2024-01-15T10:35:00Z",
"last_error": {
"code": "invalid_file_format",
"message": "The uploaded file is not a valid Excel spreadsheet."
},
"sheet_names": [
"Sheet1",
"Financials"
],
"table_count": 6
}